Subject: bug#76594: closed (Re: [bug#76594] [PATCH v2 5/4] build-system/emacs: Allow usage of #:{allowed/disallowed}-references key)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 27 Feb 2025 19:48:02 +0000

Your bug report

#76594: [PATCH 0/3] some quilt things

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76594: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76594
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#76594] [PATCH v2 5/4] build-system/emacs: Allow usage of #:{allowed/disallowed}-references key
From: Liliana Marie Prikler <[email-masked]>
To: Maxim Cournoyer <[email-masked]>, Morgan Smith <[email-masked]>
Cc: Katherine Cox-Buday <[email-masked]>, Ian Eure <[email-masked]>, [email-masked], Divya Ranjan Pattanaik <[email-masked]>, Andrew Tropin <[email-masked]>
Date: Thu, 27 Feb 2025 20:48:24 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Donnerstag, dem 27.02.2025 um 23:15 +0900 schrieb Maxim Cournoyer:
> Morgan Smith <[email-masked]> writes:
> 
> > * guix/build-system/emacs.scm (emacs-build): Pass '#:allowed-
> > references' and
> > '#:disallowed-references' keys to builder.
> > 
> > Change-Id: Ib9a35a7b2115365b96675fb7ca3914b0ae7e67c7
> 
> Reviewed-by: Maxim Cournoyer <[email-masked]>
Pushed to emacs-team, along with the rest of v2.

Cheers

Subject: [PATCH 0/3] some quilt things
From: Morgan Smith <[email-masked]>
To: [email-masked]
Cc: Morgan Smith <[email-masked]>
Date: Wed, 26 Feb 2025 12:17:20 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

While updating emacs I was perplexed as to how to create the patchfiles
located in 'gnu/packages/patches'.  I saw no mention of how to do so in the
manual so I just added git diffs (which did work but the reviewer was not
pleased).  I have since been informed I should have used quilt.

Morgan Smith (3):
  doc: Mention that patch files should be generated with quilt.
  gnu: quilt: Don't install emacs package.
  gnu: Add emacs-quilt.

 doc/guix.texi               |  7 +++++--
 gnu/packages/patchutils.scm | 20 ++++++++++++++++++++
 2 files changed, 25 insertions(+), 2 deletions(-)

base-commit: 61428ccf41f21f5ea1e4f1eec722ef9b1efc3a0e
-- 
2.48.1